package it.polito.esame;

import java.util.List;
import it.polito.esame.bean.*;
import it.polito.esame.dao.MolecoleDAO;

public class Model {
	
	MolecoleDAO dao;
	
	public Model() {
		super();
		dao = new MolecoleDAO();
	}

	// restituisce la stringa da mostrare all'utente in base al nome dell formula passata come 
	// paramentro d'ingresso  
	public String getResult(String nome) {
		Formula f = dao.getFormulaByNome(nome);
		if(f==null){
			return "Non esiste la formula :" + nome;	
		}
		
		List<Composizione> composizione = dao.getComposizione(f);
		String result = f.getSigla() + " Composizione: ";
		for(Composizione compItem : composizione){
			Formula item = dao.getFormulaById(compItem.getIdElemento());
			result = result + " " + item.getNome() + " " + compItem.getQuantita() +"," ;
		} 			
		return result;
	}
	
}
