package it.polito.esame.gui;

import it.polito.esame.Model;

import java.net.URL;
import java.util.ResourceBundle;

import javafx.event.ActionEvent;
import javafx.fxml.FXML;
import javafx.scene.control.TextArea;
import javafx.scene.control.Button;
import javafx.scene.control.TextField;

public class Controller {

	private Model model;

    @FXML
    private ResourceBundle resources;

    @FXML
    private URL location;

    @FXML
    private Button btnVisualizza;

    @FXML
    private TextArea txtResult;

    @FXML
    private TextField txtFormula;

    @FXML
    void doRicerca(ActionEvent event) {
    	String userInput = txtFormula.getText();
    	
    	// si verifica che l'input inserito dall'utente sia valido
    	if(userInput.equals("")||userInput==null){
    		txtResult.setText("Input non valido");
    	}
    	else{
    		String result = model.getResult(txtFormula.getText());
    		txtResult.setText(result);
    	}
    }
    
    public void setModel(Model model) {
		this.model = model;
	}
    
    @FXML
    void initialize() {
        assert btnVisualizza != null : "fx:id=\"btnVisualizza\" was not injected: check your FXML file 'Untitled'.";
        assert txtResult != null : "fx:id=\"txtResult\" was not injected: check your FXML file 'Untitled'.";
        assert txtFormula != null : "fx:id=\"txtFormula\" was not injected: check your FXML file 'Untitled'.";

    }
}




