package it.polito.esame;

import it.polito.esame.gui.Controller;

import java.io.IOException;

import javafx.application.Application;
import javafx.fxml.FXMLLoader;
import javafx.scene.Parent;
import javafx.scene.Scene;
import javafx.stage.Stage;

import it.polito.esame.Model;

public class Main extends Application {

	@Override
	public void start(Stage primaryStage) throws IOException {

		FXMLLoader loader = new FXMLLoader(this.getClass().getResource(
				"gui/Bridge.fxml"));
		loader.load();

		Model model = new Model();
		Controller controller = loader.getController();
		controller.setModel(model);
		// vengono caricate l'elenco delle citt nelle due ChoiceBox
		controller.loadCity();

		Parent root = loader.getRoot();
		Scene scene = new Scene(root);
		primaryStage.setScene(scene);
		primaryStage.show();

	}

	public static void main(String[] args) {
		launch(args);
	}
}
